variables:
  COMPOSE_DOCKER_CLI_BUILD: '1'
  DOCKER_BUILDKIT: '1'
  DOCKER_TLS_CERTDIR: ''

  GIT_SUBMODULE_STRATEGY: recursive
  GIT_DEPTH: "1"

  REGISTRY: registry.gitlab.com
  CHECKER_IMAGE: gitlab.mirror.local/onti-irs/onti-2022-irs/docker-containers/day4-sim-checker:master

# services:
#   - name: docker:dind
#     entrypoint: ['dockerd-entrypoint.sh', '--tls=false']

stages:
  - run

sim-checker:
  image: quay.io/podman/stable:latest
  stage: run

  interruptible: true

  script:
   - podman pull "${CHECKER_IMAGE}"
   - mkdir "${CI_PROJECT_DIR}/checker_artifacts" || true
   - >-
     podman run
     -v "${CI_PROJECT_DIR}":/solution
     -v "${CI_PROJECT_DIR}/checker_artifacts":/checker_artifacts
     "${CHECKER_IMAGE}"

  rules:
    # - changes:
    #     - main.py
    #   when: never
    - if: >-
          $CI_PIPELINE_SOURCE == 'merge_request_event'
          || $CI_COMMIT_BRANCH == 'main'
          || $CI_COMMIT_BRANCH == 'master'
      changes:
        - sim.py
        - "**/*.py"
        - requirements.txt
        - .gitlab-ci.yml

  artifacts:
    paths:
      # Sorry. The GitLab CI can only archive files from directories relative to your build directory.
      # https://gitlab.com/gitlab-org/gitlab-foss/-/issues/15530#note_5049321
      - "${CI_PROJECT_DIR}/checker_artifacts"
